textures/kingdom/kingdomsky
{
        
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
      q3map_sunExt 248 232 190 450 130 55 3 16
      q3map_lightRGB 248 232 190 
      q3map_lightmapFilterRadius 0 64	
	q3map_skylight 325 3
      q3map_backsplash 0 0

        skyparms env/kingdomsky/kingdomsky - -
 {
		map env/kingdomsky/kingdomskyclouds.jpg
		tcMod scale 3 3
		tcMod scroll 0.005 -0.0125
		rgbGen identityLighting
		
	}
}




textures/pr/drap_lion
{
        cull disable
        surfaceparm nolightmap
        surfaceparm alphashadow
	  tessSize 64
	    deformVertexes wave 100 sin 0 3 0 .7
          //deformVertexes normal 0.2 2
		sort banner
        {
                map textures/pr/drap_lion.tga
                 blendfunc gl_src_alpha gl_one_minus_src_alpha
                alphaFunc GE128
                rgbGen vertex
         }
}



textures/pr/drap_sanglier
{
        cull disable
        surfaceparm nolightmap
        surfaceparm alphashadow
        tessSize 64
	    deformVertexes wave 100 sin 0 3 0 .7
            //deformVertexes normal 0.2 2
		sort banner
        {
                map textures/pr/drap_sanglier.tga
                 blendfunc gl_src_alpha gl_one_minus_src_alpha
                alphaFunc GE128
                rgbGen vertex
                
        }
}

textures/pr/grille01
{
        cull disable
        surfaceparm nolightmap
        surfaceparm alphashadow

        {
                map textures/pr/grille01.tga
                 blendfunc gl_src_alpha gl_one_minus_src_alpha
                alphaFunc GE128
                rgbGen vertex
                
        }
}




textures/pr/objet_torche3
{
        cull disable
        surfaceparm nolightmap
        surfaceparm alphashadow

        {
                map textures/pr/objet_torche3.tga
                 blendfunc gl_src_alpha gl_one_minus_src_alpha
                alphaFunc GE128
                rgbGen vertex
                
        }
}




textures/pr/prot01
{
        cull disable
        surfaceparm nolightmap
        surfaceparm alphashadow

        {
                map textures/pr/prot01.tga
                 blendfunc gl_src_alpha gl_one_minus_src_alpha
                alphaFunc GE128
                rgbGen vertex
                
        }
}


textures/pr/balc1
{
        cull disable
        surfaceparm nolightmap
        surfaceparm alphashadow

        {
                map textures/pr/balc1.tga
                 blendfunc gl_src_alpha gl_one_minus_src_alpha
                alphaFunc GE128
                rgbGen vertex
                
        }
}


//liquids
textures/liquids/clear_ripple3
	{
		qer_editorimage textures/liquids/clear_ripple3.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
	
		cull disable
		deformVertexes wave 64 sin .5 .5 0 .5	
		
		{ 
			map textures/liquids/pool3d_5.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
	
		{ 
			map textures/liquids/pool3d_6.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll .025 -.001
		}

		{ 
			map textures/liquids/pool3d_3.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .25 .5
			tcmod scroll .001 .025
		}
	
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
	

}


//liquids
textures/ut_prague/waterfall
{
        surfaceparm trans	
        surfaceparm nomarks	
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	{
		map textures/ut_prague/waterfall.tga
                tcMod Scroll .5 4      //rain used to be going backwards (!!!)
                blendFunc GL_ONE GL_ONE
        }
}

textures/ut_prague/fs_rain2
{
        surfaceparm trans	
        surfaceparm nomarks	
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	{
		map textures/ut_prague/fs_rain2.tga
                tcMod Scroll .3 2      //rain used to be going backwards (!!!)
                blendFunc GL_ONE GL_ONE
        }
}



//branche_vert
models/mapobjects/defcon_tree/tree2
{
	cull none
	nopicmip
	surfaceparm lightfilter
	surfaceparm alphashadow
      deformVertexes wave 5 sin 0 .3 0 .3
	{
		map models/mapobjects/defcon_tree/tree2.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}


//branche_rouge
models/mapobjects/defcon_tree/tree3
{
	cull none
	nopicmip
	surfaceparm lightfilter
	surfaceparm alphashadow
      deformVertexes wave 5 sin 0 .3 0 .3
	{
		map models/mapobjects/defcon_tree/tree3.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}



models/mapobjects/br_flowers/green_1
{
	qer_editorimage models/mapobjects/br_flowers/green_1.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	deformVertexes wave 5 sin 0 .3 0 .3
	{
		map models/mapobjects/br_flowers/green_1.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
                alphaFunc GE128
                rgbGen vertex
	}
}


models/mapobjects/br_flowers/carnation_1
{
	qer_editorimage models/mapobjects/br_flowers/carnation_1.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	deformVertexes wave 5 sin 0 .3 0 .3
	{
		map models/mapobjects/br_flowers/carnation_1.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
                alphaFunc GE128
                rgbGen vertex
	}
}



models/mapobjects/br_flowers/purpleflowers_2
{
	qer_editorimage models/mapobjects/br_flowers/purpleflowers_2.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	deformVertexes wave 5 sin 0 .3 0 .3
	{
		map models/mapobjects/br_flowers/purpleflowers_2.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
                alphaFunc GE128
                rgbGen vertex
	}
}


models/mapobjects/br_flowers/rose_2
{
	qer_editorimage models/mapobjects/br_flowers/rose_2.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	deformVertexes wave 5 sin 0 .3 0 .3
	{
		map models/mapobjects/br_flowers/rose_2.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
                alphaFunc GE128
                rgbGen vertex
	}
	
}


models/mapobjects/br_flowers/tulip_1
{
	qer_editorimage models/mapobjects/br_flowers/tulip_1.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	deformVertexes wave 5 sin 0 .3 0 .3
	{
		map models/mapobjects/br_flowers/tulip_1.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
                alphaFunc GE128
                rgbGen vertex
	}
	
}



models/mapobjects/br_flowers/yellowrose
{
	qer_editorimage models/mapobjects/br_flowers/yellowrose.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	deformVertexes wave 5 sin 0 .3 0 .3
	{
		map models/mapobjects/br_flowers/yellowrose.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
                alphaFunc GE128
                rgbGen vertex
	}
}



models/mapobjects/br_flowers/whiteflowers_1
{
	qer_editorimage models/mapobjects/br_flowers/whiteflowers_1.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	deformVertexes wave 5 sin 0 .3 0 .3
	{
		map models/mapobjects/br_flowers/whiteflowers_1.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
                alphaFunc GE128
                rgbGen vertex
	}
	
}